Index: /XIOS/trunk/src/interface/fortran_attr/ireduce_domain_to_scalar_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/ireduce_domain_to_scalar_attr.F90	(revision 1536)
+++ /XIOS/trunk/src/interface/fortran_attr/ireduce_domain_to_scalar_attr.F90	(revision 1537)
@@ -12,9 +12,11 @@
 
   SUBROUTINE xios(set_reduce_domain_to_scalar_attr)  &
-    ( reduce_domain_to_scalar_id, operation )
+    ( reduce_domain_to_scalar_id, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_domain_to_scalar))  :: reduce_domain_to_scalar_hdl
       CHARACTER(LEN=*), INTENT(IN) ::reduce_domain_to_scalar_id
+      LOGICAL  , OPTIONAL, INTENT(IN) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
 
@@ -22,26 +24,36 @@
       (reduce_domain_to_scalar_id,reduce_domain_to_scalar_hdl)
       CALL xios(set_reduce_domain_to_scalar_attr_hdl_)   &
-      ( reduce_domain_to_scalar_hdl, operation )
+      ( reduce_domain_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(set_reduce_domain_to_scalar_attr)
 
   SUBROUTINE xios(set_reduce_domain_to_scalar_attr_hdl)  &
-    ( reduce_domain_to_scalar_hdl, operation )
+    ( reduce_domain_to_scalar_hdl, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_domain_to_scalar)) , INTENT(IN) :: reduce_domain_to_scalar_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
 
       CALL xios(set_reduce_domain_to_scalar_attr_hdl_)  &
-      ( reduce_domain_to_scalar_hdl, operation )
+      ( reduce_domain_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(set_reduce_domain_to_scalar_attr_hdl)
 
   SUBROUTINE xios(set_reduce_domain_to_scalar_attr_hdl_)   &
-    ( reduce_domain_to_scalar_hdl, operation_ )
+    ( reduce_domain_to_scalar_hdl, local_, operation_ )
 
     IMPLICIT NONE
       TYPE(txios(reduce_domain_to_scalar)) , INTENT(IN) :: reduce_domain_to_scalar_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: local_
+      LOGICAL (KIND=C_BOOL) :: local__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation_
+
+      IF (PRESENT(local_)) THEN
+        local__tmp = local_
+        CALL cxios_set_reduce_domain_to_scalar_local &
+      (reduce_domain_to_scalar_hdl%daddr, local__tmp)
+      ENDIF
 
       IF (PRESENT(operation_)) THEN
@@ -53,9 +65,11 @@
 
   SUBROUTINE xios(get_reduce_domain_to_scalar_attr)  &
-    ( reduce_domain_to_scalar_id, operation )
+    ( reduce_domain_to_scalar_id, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_domain_to_scalar))  :: reduce_domain_to_scalar_hdl
       CHARACTER(LEN=*), INTENT(IN) ::reduce_domain_to_scalar_id
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
 
@@ -63,26 +77,36 @@
       (reduce_domain_to_scalar_id,reduce_domain_to_scalar_hdl)
       CALL xios(get_reduce_domain_to_scalar_attr_hdl_)   &
-      ( reduce_domain_to_scalar_hdl, operation )
+      ( reduce_domain_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(get_reduce_domain_to_scalar_attr)
 
   SUBROUTINE xios(get_reduce_domain_to_scalar_attr_hdl)  &
-    ( reduce_domain_to_scalar_hdl, operation )
+    ( reduce_domain_to_scalar_hdl, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_domain_to_scalar)) , INTENT(IN) :: reduce_domain_to_scalar_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
 
       CALL xios(get_reduce_domain_to_scalar_attr_hdl_)  &
-      ( reduce_domain_to_scalar_hdl, operation )
+      ( reduce_domain_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(get_reduce_domain_to_scalar_attr_hdl)
 
   SUBROUTINE xios(get_reduce_domain_to_scalar_attr_hdl_)   &
-    ( reduce_domain_to_scalar_hdl, operation_ )
+    ( reduce_domain_to_scalar_hdl, local_, operation_ )
 
     IMPLICIT NONE
       TYPE(txios(reduce_domain_to_scalar)) , INTENT(IN) :: reduce_domain_to_scalar_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: local_
+      LOGICAL (KIND=C_BOOL) :: local__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation_
+
+      IF (PRESENT(local_)) THEN
+        CALL cxios_get_reduce_domain_to_scalar_local &
+      (reduce_domain_to_scalar_hdl%daddr, local__tmp)
+        local_ = local__tmp
+      ENDIF
 
       IF (PRESENT(operation_)) THEN
@@ -94,9 +118,11 @@
 
   SUBROUTINE xios(is_defined_reduce_domain_to_scalar_attr)  &
-    ( reduce_domain_to_scalar_id, operation )
+    ( reduce_domain_to_scalar_id, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_domain_to_scalar))  :: reduce_domain_to_scalar_hdl
       CHARACTER(LEN=*), INTENT(IN) ::reduce_domain_to_scalar_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: local
+      LOGICAL(KIND=C_BOOL) :: local_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: operation
       LOGICAL(KIND=C_BOOL) :: operation_tmp
@@ -105,28 +131,38 @@
       (reduce_domain_to_scalar_id,reduce_domain_to_scalar_hdl)
       CALL xios(is_defined_reduce_domain_to_scalar_attr_hdl_)   &
-      ( reduce_domain_to_scalar_hdl, operation )
+      ( reduce_domain_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(is_defined_reduce_domain_to_scalar_attr)
 
   SUBROUTINE xios(is_defined_reduce_domain_to_scalar_attr_hdl)  &
-    ( reduce_domain_to_scalar_hdl, operation )
+    ( reduce_domain_to_scalar_hdl, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_domain_to_scalar)) , INTENT(IN) :: reduce_domain_to_scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: local
+      LOGICAL(KIND=C_BOOL) :: local_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: operation
       LOGICAL(KIND=C_BOOL) :: operation_tmp
 
       CALL xios(is_defined_reduce_domain_to_scalar_attr_hdl_)  &
-      ( reduce_domain_to_scalar_hdl, operation )
+      ( reduce_domain_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(is_defined_reduce_domain_to_scalar_attr_hdl)
 
   SUBROUTINE xios(is_defined_reduce_domain_to_scalar_attr_hdl_)   &
-    ( reduce_domain_to_scalar_hdl, operation_ )
+    ( reduce_domain_to_scalar_hdl, local_, operation_ )
 
     IMPLICIT NONE
       TYPE(txios(reduce_domain_to_scalar)) , INTENT(IN) :: reduce_domain_to_scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: local_
+      LOGICAL(KIND=C_BOOL) :: local__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: operation_
       LOGICAL(KIND=C_BOOL) :: operation__tmp
+
+      IF (PRESENT(local_)) THEN
+        local__tmp = cxios_is_defined_reduce_domain_to_scalar_local &
+      (reduce_domain_to_scalar_hdl%daddr)
+        local_ = local__tmp
+      ENDIF
 
       IF (PRESENT(operation_)) THEN
Index: /XIOS/trunk/src/interface/fortran_attr/ireduce_scalar_to_scalar_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/ireduce_scalar_to_scalar_attr.F90	(revision 1537)
+++ /XIOS/trunk/src/interface/fortran_attr/ireduce_scalar_to_scalar_attr.F90	(revision 1537)
@@ -0,0 +1,140 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE ireduce_scalar_to_scalar_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE ireduce_scalar_to_scalar
+  USE reduce_scalar_to_scalar_interface_attr
+
+CONTAINS
+
+  SUBROUTINE xios(set_reduce_scalar_to_scalar_attr)  &
+    ( reduce_scalar_to_scalar_id, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_scalar_to_scalar))  :: reduce_scalar_to_scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_scalar_to_scalar_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
+
+      CALL xios(get_reduce_scalar_to_scalar_handle) &
+      (reduce_scalar_to_scalar_id,reduce_scalar_to_scalar_hdl)
+      CALL xios(set_reduce_scalar_to_scalar_attr_hdl_)   &
+      ( reduce_scalar_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(set_reduce_scalar_to_scalar_attr)
+
+  SUBROUTINE xios(set_reduce_scalar_to_scalar_attr_hdl)  &
+    ( reduce_scalar_to_scalar_hdl, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_scalar_to_scalar)) , INTENT(IN) :: reduce_scalar_to_scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
+
+      CALL xios(set_reduce_scalar_to_scalar_attr_hdl_)  &
+      ( reduce_scalar_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(set_reduce_scalar_to_scalar_attr_hdl)
+
+  SUBROUTINE xios(set_reduce_scalar_to_scalar_attr_hdl_)   &
+    ( reduce_scalar_to_scalar_hdl, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_scalar_to_scalar)) , INTENT(IN) :: reduce_scalar_to_scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation_
+
+      IF (PRESENT(operation_)) THEN
+        CALL cxios_set_reduce_scalar_to_scalar_operation &
+      (reduce_scalar_to_scalar_hdl%daddr, operation_, len(operation_))
+      ENDIF
+
+  END SUBROUTINE xios(set_reduce_scalar_to_scalar_attr_hdl_)
+
+  SUBROUTINE xios(get_reduce_scalar_to_scalar_attr)  &
+    ( reduce_scalar_to_scalar_id, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_scalar_to_scalar))  :: reduce_scalar_to_scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_scalar_to_scalar_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
+
+      CALL xios(get_reduce_scalar_to_scalar_handle) &
+      (reduce_scalar_to_scalar_id,reduce_scalar_to_scalar_hdl)
+      CALL xios(get_reduce_scalar_to_scalar_attr_hdl_)   &
+      ( reduce_scalar_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(get_reduce_scalar_to_scalar_attr)
+
+  SUBROUTINE xios(get_reduce_scalar_to_scalar_attr_hdl)  &
+    ( reduce_scalar_to_scalar_hdl, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_scalar_to_scalar)) , INTENT(IN) :: reduce_scalar_to_scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
+
+      CALL xios(get_reduce_scalar_to_scalar_attr_hdl_)  &
+      ( reduce_scalar_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(get_reduce_scalar_to_scalar_attr_hdl)
+
+  SUBROUTINE xios(get_reduce_scalar_to_scalar_attr_hdl_)   &
+    ( reduce_scalar_to_scalar_hdl, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_scalar_to_scalar)) , INTENT(IN) :: reduce_scalar_to_scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation_
+
+      IF (PRESENT(operation_)) THEN
+        CALL cxios_get_reduce_scalar_to_scalar_operation &
+      (reduce_scalar_to_scalar_hdl%daddr, operation_, len(operation_))
+      ENDIF
+
+  END SUBROUTINE xios(get_reduce_scalar_to_scalar_attr_hdl_)
+
+  SUBROUTINE xios(is_defined_reduce_scalar_to_scalar_attr)  &
+    ( reduce_scalar_to_scalar_id, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_scalar_to_scalar))  :: reduce_scalar_to_scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_scalar_to_scalar_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation
+      LOGICAL(KIND=C_BOOL) :: operation_tmp
+
+      CALL xios(get_reduce_scalar_to_scalar_handle) &
+      (reduce_scalar_to_scalar_id,reduce_scalar_to_scalar_hdl)
+      CALL xios(is_defined_reduce_scalar_to_scalar_attr_hdl_)   &
+      ( reduce_scalar_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(is_defined_reduce_scalar_to_scalar_attr)
+
+  SUBROUTINE xios(is_defined_reduce_scalar_to_scalar_attr_hdl)  &
+    ( reduce_scalar_to_scalar_hdl, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_scalar_to_scalar)) , INTENT(IN) :: reduce_scalar_to_scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation
+      LOGICAL(KIND=C_BOOL) :: operation_tmp
+
+      CALL xios(is_defined_reduce_scalar_to_scalar_attr_hdl_)  &
+      ( reduce_scalar_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(is_defined_reduce_scalar_to_scalar_attr_hdl)
+
+  SUBROUTINE xios(is_defined_reduce_scalar_to_scalar_attr_hdl_)   &
+    ( reduce_scalar_to_scalar_hdl, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_scalar_to_scalar)) , INTENT(IN) :: reduce_scalar_to_scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation_
+      LOGICAL(KIND=C_BOOL) :: operation__tmp
+
+      IF (PRESENT(operation_)) THEN
+        operation__tmp = cxios_is_defined_reduce_scalar_to_scalar_operation &
+      (reduce_scalar_to_scalar_hdl%daddr)
+        operation_ = operation__tmp
+      ENDIF
+
+  END SUBROUTINE xios(is_defined_reduce_scalar_to_scalar_attr_hdl_)
+
+END MODULE ireduce_scalar_to_scalar_attr
Index: /XIOS/trunk/src/interface/fortran_attr/ireorder_domain_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/ireorder_domain_attr.F90	(revision 1537)
+++ /XIOS/trunk/src/interface/fortran_attr/ireorder_domain_attr.F90	(revision 1537)
@@ -0,0 +1,232 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE ireorder_domain_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE ireorder_domain
+  USE reorder_domain_interface_attr
+
+CONTAINS
+
+  SUBROUTINE xios(set_reorder_domain_attr)  &
+    ( reorder_domain_id, invert_lat, max_lon, min_lon, shift_lon_fraction )
+
+    IMPLICIT NONE
+      TYPE(txios(reorder_domain))  :: reorder_domain_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reorder_domain_id
+      LOGICAL  , OPTIONAL, INTENT(IN) :: invert_lat
+      LOGICAL (KIND=C_BOOL) :: invert_lat_tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: max_lon
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: min_lon
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: shift_lon_fraction
+
+      CALL xios(get_reorder_domain_handle) &
+      (reorder_domain_id,reorder_domain_hdl)
+      CALL xios(set_reorder_domain_attr_hdl_)   &
+      ( reorder_domain_hdl, invert_lat, max_lon, min_lon, shift_lon_fraction )
+
+  END SUBROUTINE xios(set_reorder_domain_attr)
+
+  SUBROUTINE xios(set_reorder_domain_attr_hdl)  &
+    ( reorder_domain_hdl, invert_lat, max_lon, min_lon, shift_lon_fraction )
+
+    IMPLICIT NONE
+      TYPE(txios(reorder_domain)) , INTENT(IN) :: reorder_domain_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: invert_lat
+      LOGICAL (KIND=C_BOOL) :: invert_lat_tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: max_lon
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: min_lon
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: shift_lon_fraction
+
+      CALL xios(set_reorder_domain_attr_hdl_)  &
+      ( reorder_domain_hdl, invert_lat, max_lon, min_lon, shift_lon_fraction )
+
+  END SUBROUTINE xios(set_reorder_domain_attr_hdl)
+
+  SUBROUTINE xios(set_reorder_domain_attr_hdl_)   &
+    ( reorder_domain_hdl, invert_lat_, max_lon_, min_lon_, shift_lon_fraction_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reorder_domain)) , INTENT(IN) :: reorder_domain_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: invert_lat_
+      LOGICAL (KIND=C_BOOL) :: invert_lat__tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: max_lon_
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: min_lon_
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: shift_lon_fraction_
+
+      IF (PRESENT(invert_lat_)) THEN
+        invert_lat__tmp = invert_lat_
+        CALL cxios_set_reorder_domain_invert_lat &
+      (reorder_domain_hdl%daddr, invert_lat__tmp)
+      ENDIF
+
+      IF (PRESENT(max_lon_)) THEN
+        CALL cxios_set_reorder_domain_max_lon &
+      (reorder_domain_hdl%daddr, max_lon_)
+      ENDIF
+
+      IF (PRESENT(min_lon_)) THEN
+        CALL cxios_set_reorder_domain_min_lon &
+      (reorder_domain_hdl%daddr, min_lon_)
+      ENDIF
+
+      IF (PRESENT(shift_lon_fraction_)) THEN
+        CALL cxios_set_reorder_domain_shift_lon_fraction &
+      (reorder_domain_hdl%daddr, shift_lon_fraction_)
+      ENDIF
+
+  END SUBROUTINE xios(set_reorder_domain_attr_hdl_)
+
+  SUBROUTINE xios(get_reorder_domain_attr)  &
+    ( reorder_domain_id, invert_lat, max_lon, min_lon, shift_lon_fraction )
+
+    IMPLICIT NONE
+      TYPE(txios(reorder_domain))  :: reorder_domain_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reorder_domain_id
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: invert_lat
+      LOGICAL (KIND=C_BOOL) :: invert_lat_tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: max_lon
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: min_lon
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: shift_lon_fraction
+
+      CALL xios(get_reorder_domain_handle) &
+      (reorder_domain_id,reorder_domain_hdl)
+      CALL xios(get_reorder_domain_attr_hdl_)   &
+      ( reorder_domain_hdl, invert_lat, max_lon, min_lon, shift_lon_fraction )
+
+  END SUBROUTINE xios(get_reorder_domain_attr)
+
+  SUBROUTINE xios(get_reorder_domain_attr_hdl)  &
+    ( reorder_domain_hdl, invert_lat, max_lon, min_lon, shift_lon_fraction )
+
+    IMPLICIT NONE
+      TYPE(txios(reorder_domain)) , INTENT(IN) :: reorder_domain_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: invert_lat
+      LOGICAL (KIND=C_BOOL) :: invert_lat_tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: max_lon
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: min_lon
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: shift_lon_fraction
+
+      CALL xios(get_reorder_domain_attr_hdl_)  &
+      ( reorder_domain_hdl, invert_lat, max_lon, min_lon, shift_lon_fraction )
+
+  END SUBROUTINE xios(get_reorder_domain_attr_hdl)
+
+  SUBROUTINE xios(get_reorder_domain_attr_hdl_)   &
+    ( reorder_domain_hdl, invert_lat_, max_lon_, min_lon_, shift_lon_fraction_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reorder_domain)) , INTENT(IN) :: reorder_domain_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: invert_lat_
+      LOGICAL (KIND=C_BOOL) :: invert_lat__tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: max_lon_
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: min_lon_
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: shift_lon_fraction_
+
+      IF (PRESENT(invert_lat_)) THEN
+        CALL cxios_get_reorder_domain_invert_lat &
+      (reorder_domain_hdl%daddr, invert_lat__tmp)
+        invert_lat_ = invert_lat__tmp
+      ENDIF
+
+      IF (PRESENT(max_lon_)) THEN
+        CALL cxios_get_reorder_domain_max_lon &
+      (reorder_domain_hdl%daddr, max_lon_)
+      ENDIF
+
+      IF (PRESENT(min_lon_)) THEN
+        CALL cxios_get_reorder_domain_min_lon &
+      (reorder_domain_hdl%daddr, min_lon_)
+      ENDIF
+
+      IF (PRESENT(shift_lon_fraction_)) THEN
+        CALL cxios_get_reorder_domain_shift_lon_fraction &
+      (reorder_domain_hdl%daddr, shift_lon_fraction_)
+      ENDIF
+
+  END SUBROUTINE xios(get_reorder_domain_attr_hdl_)
+
+  SUBROUTINE xios(is_defined_reorder_domain_attr)  &
+    ( reorder_domain_id, invert_lat, max_lon, min_lon, shift_lon_fraction )
+
+    IMPLICIT NONE
+      TYPE(txios(reorder_domain))  :: reorder_domain_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reorder_domain_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: invert_lat
+      LOGICAL(KIND=C_BOOL) :: invert_lat_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: max_lon
+      LOGICAL(KIND=C_BOOL) :: max_lon_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: min_lon
+      LOGICAL(KIND=C_BOOL) :: min_lon_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: shift_lon_fraction
+      LOGICAL(KIND=C_BOOL) :: shift_lon_fraction_tmp
+
+      CALL xios(get_reorder_domain_handle) &
+      (reorder_domain_id,reorder_domain_hdl)
+      CALL xios(is_defined_reorder_domain_attr_hdl_)   &
+      ( reorder_domain_hdl, invert_lat, max_lon, min_lon, shift_lon_fraction )
+
+  END SUBROUTINE xios(is_defined_reorder_domain_attr)
+
+  SUBROUTINE xios(is_defined_reorder_domain_attr_hdl)  &
+    ( reorder_domain_hdl, invert_lat, max_lon, min_lon, shift_lon_fraction )
+
+    IMPLICIT NONE
+      TYPE(txios(reorder_domain)) , INTENT(IN) :: reorder_domain_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: invert_lat
+      LOGICAL(KIND=C_BOOL) :: invert_lat_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: max_lon
+      LOGICAL(KIND=C_BOOL) :: max_lon_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: min_lon
+      LOGICAL(KIND=C_BOOL) :: min_lon_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: shift_lon_fraction
+      LOGICAL(KIND=C_BOOL) :: shift_lon_fraction_tmp
+
+      CALL xios(is_defined_reorder_domain_attr_hdl_)  &
+      ( reorder_domain_hdl, invert_lat, max_lon, min_lon, shift_lon_fraction )
+
+  END SUBROUTINE xios(is_defined_reorder_domain_attr_hdl)
+
+  SUBROUTINE xios(is_defined_reorder_domain_attr_hdl_)   &
+    ( reorder_domain_hdl, invert_lat_, max_lon_, min_lon_, shift_lon_fraction_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reorder_domain)) , INTENT(IN) :: reorder_domain_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: invert_lat_
+      LOGICAL(KIND=C_BOOL) :: invert_lat__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: max_lon_
+      LOGICAL(KIND=C_BOOL) :: max_lon__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: min_lon_
+      LOGICAL(KIND=C_BOOL) :: min_lon__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: shift_lon_fraction_
+      LOGICAL(KIND=C_BOOL) :: shift_lon_fraction__tmp
+
+      IF (PRESENT(invert_lat_)) THEN
+        invert_lat__tmp = cxios_is_defined_reorder_domain_invert_lat &
+      (reorder_domain_hdl%daddr)
+        invert_lat_ = invert_lat__tmp
+      ENDIF
+
+      IF (PRESENT(max_lon_)) THEN
+        max_lon__tmp = cxios_is_defined_reorder_domain_max_lon &
+      (reorder_domain_hdl%daddr)
+        max_lon_ = max_lon__tmp
+      ENDIF
+
+      IF (PRESENT(min_lon_)) THEN
+        min_lon__tmp = cxios_is_defined_reorder_domain_min_lon &
+      (reorder_domain_hdl%daddr)
+        min_lon_ = min_lon__tmp
+      ENDIF
+
+      IF (PRESENT(shift_lon_fraction_)) THEN
+        shift_lon_fraction__tmp = cxios_is_defined_reorder_domain_shift_lon_fraction &
+      (reorder_domain_hdl%daddr)
+        shift_lon_fraction_ = shift_lon_fraction__tmp
+      ENDIF
+
+  END SUBROUTINE xios(is_defined_reorder_domain_attr_hdl_)
+
+END MODULE ireorder_domain_attr
